Package de.gebit.integrity.remoting.entities.setlist

## Enum SetListEntryAttributeKeys

- java.lang.Object
- - java.lang.Enum<SetListEntryAttributeKeys>
  - - de.gebit.integrity.remoting.entities.setlist.SetListEntryAttributeKeys

- All Implemented Interfaces:
    `Serializable`, `Comparable<SetListEntryAttributeKeys>`

      public enum SetListEntryAttributeKeys
      extends Enum<SetListEntryAttributeKeys>

  Keys for Set List Entry Attributes.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CALL_EXCEPTION_COUNT` | Number of exceptions in calls.
    `COMPARISONS` | References to the comparisons.
    `DESCRIPTION` | Test or call description texts.
    `EXCEPTION` | The exception stacktrace.
    `EXECUTION_TIME` | The time required to execute a suite/call/test.
    `EXPECTED_RESULT` | The expected result.
    `EXTENDED_RESULT_DATA` | Extended result data.
    `FAILURE_COUNT` | Number of failed tests.
    `FINALIZATION_TEST_EXCEPTION` | Post invocation exception data.
    `FINALIZATION_TEST_RESULT` | Post invocation result data.
    `FIXTURE` | The fully qualified fixture class and method name.
    `FIXTURE_LOG` | Fixture log output (as a multi-line string).
    `FORK_DESCRIPTION` | Description of the fork a suite is executed on.
    `FORK_NAME` | Name of the fork a suite is executed on.
    `LINK` | A link to the test script (suite and optionally line).
    `NAME` | Names, like suite/test/call names.
    `PARAMETER_NAME` | Parameter name.
    `PARAMETERS` | References to the parameters.
    `PARENT` | The reference to the parent entry.
    `RESULT` | The result of a test or call.
    `RESULT_SUCCESS_FLAG` | Whether a test/call was successful.
    `SETUP` | References to suites performed for setup.
    `STATEMENTS` | References to the actual statements in a suite.
    `SUCCESS_COUNT` | Number of successful tests.
    `TEARDOWN` | References to suites performed for teardown.
    `TEST_EXCEPTION_COUNT` | Number of exceptions.
    `TYPE` | Comment type.
    `VALUE` | Result values / variable values.
    `VARIABLE_DEFINITIONS` | Definitions of variables.
    `VARIABLE_NAME` | Names of variables.
    `VARIABLE_UPDATES` | Updates of variables after a call.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SetListEntryAttributeKeys` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SetListEntryAttributeKeys[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PARENT

          public static final SetListEntryAttributeKeys PARENT

      The reference to the parent entry.

    - #### NAME

          public static final SetListEntryAttributeKeys NAME

      Names, like suite/test/call names.

    - #### DESCRIPTION

          public static final SetListEntryAttributeKeys DESCRIPTION

      Test or call description texts.

    - #### VALUE

          public static final SetListEntryAttributeKeys VALUE

      Result values / variable values.

    - #### TYPE

          public static final SetListEntryAttributeKeys TYPE

      Comment type.

    - #### VARIABLE_NAME

          public static final SetListEntryAttributeKeys VARIABLE_NAME

      Names of variables.

    - #### PARAMETER_NAME

          public static final SetListEntryAttributeKeys PARAMETER_NAME

      Parameter name.

    - #### FIXTURE

          public static final SetListEntryAttributeKeys FIXTURE

      The fully qualified fixture class and method name.

    - #### VARIABLE_DEFINITIONS

          public static final SetListEntryAttributeKeys VARIABLE_DEFINITIONS

      Definitions of variables.

    - #### STATEMENTS

          public static final SetListEntryAttributeKeys STATEMENTS

      References to the actual statements in a suite.

    - #### SETUP

          public static final SetListEntryAttributeKeys SETUP

      References to suites performed for setup.

    - #### TEARDOWN

          public static final SetListEntryAttributeKeys TEARDOWN

      References to suites performed for teardown.

    - #### EXECUTION_TIME

          public static final SetListEntryAttributeKeys EXECUTION_TIME

      The time required to execute a suite/call/test.

    - #### SUCCESS_COUNT

          public static final SetListEntryAttributeKeys SUCCESS_COUNT

      Number of successful tests.

    - #### FAILURE_COUNT

          public static final SetListEntryAttributeKeys FAILURE_COUNT

      Number of failed tests.

    - #### TEST_EXCEPTION_COUNT

          public static final SetListEntryAttributeKeys TEST_EXCEPTION_COUNT

      Number of exceptions.

    - #### CALL_EXCEPTION_COUNT

          public static final SetListEntryAttributeKeys CALL_EXCEPTION_COUNT

      Number of exceptions in calls.

    - #### RESULT

          public static final SetListEntryAttributeKeys RESULT

      The result of a test or call.

    - #### EXPECTED_RESULT

          public static final SetListEntryAttributeKeys EXPECTED_RESULT

      The expected result.

    - #### EXTENDED_RESULT_DATA

          public static final SetListEntryAttributeKeys EXTENDED_RESULT_DATA

      Extended result data. This may be images (compressed byte arrays) or strings.

    - #### FINALIZATION_TEST_RESULT

          public static final SetListEntryAttributeKeys FINALIZATION_TEST_RESULT

      Post invocation result data. See `PostInvocationTestFixture` for details.

    - #### FINALIZATION_TEST_EXCEPTION

          public static final SetListEntryAttributeKeys FINALIZATION_TEST_EXCEPTION

      Post invocation exception data. See `PostInvocationTestFixture` for details.

    - #### RESULT_SUCCESS_FLAG

          public static final SetListEntryAttributeKeys RESULT_SUCCESS_FLAG

      Whether a test/call was successful.

    - #### EXCEPTION

          public static final SetListEntryAttributeKeys EXCEPTION

      The exception stacktrace.

    - #### PARAMETERS

          public static final SetListEntryAttributeKeys PARAMETERS

      References to the parameters.

    - #### COMPARISONS

          public static final SetListEntryAttributeKeys COMPARISONS

      References to the comparisons.

    - #### FORK_NAME

          public static final SetListEntryAttributeKeys FORK_NAME

      Name of the fork a suite is executed on.

    - #### FORK_DESCRIPTION

          public static final SetListEntryAttributeKeys FORK_DESCRIPTION

      Description of the fork a suite is executed on.

    - #### VARIABLE_UPDATES

          public static final SetListEntryAttributeKeys VARIABLE_UPDATES

      Updates of variables after a call.

    - #### LINK

          public static final SetListEntryAttributeKeys LINK

      A link to the test script (suite and optionally line).

    - #### FIXTURE_LOG

          public static final SetListEntryAttributeKeys FIXTURE_LOG

      Fixture log output (as a multi-line string).

  - ### Method Detail

    - #### values

          public static SetListEntryAttributeKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SetListEntryAttributeKeys c : SetListEntryAttributeKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SetListEntryAttributeKeys valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null